## mailcommon 24.12.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.2")

project(mailcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES 
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.3.2")
set(AKONADICONTACT_LIB_VERSION "6.3.2")
set(MESSAGELIB_LIB_VERSION "6.3.2")
set(KMIME_LIB_VERSION "6.3.2")
set(KMAILTRANSPORT_LIB_VERSION "6.3.2")
set(MAILIMPORTER_LIB_VERSION "6.3.2")
set(LIBKDEPIM_LIB_VERSION "6.3.2")
set(PIMCOMMON_LIB_VERSION "6.3.2")

set(PHONON_LIB_VERSION "4.12.0")
set(AKONADI_VERSION "6.3.2")
set(KTEXTADDONS_MIN_VERSION "1.5.4")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Xml)

set(GPGMEPP_LIB_VERSION "1.20.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt6 ${PHONON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
                        SOVERSION 6
)


if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false) 
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES) 
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.1.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(MAILCOMMON_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()


########### Targets ###########
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailCommon")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailCommon_QCH
        FILE KPim6MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailCommonQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6MailCommonTargets.cmake NAMESPACE KPim6::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailCommon COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## mailcommon 24.08.2

=== debian/changelog ===
mailcommon (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:31 +0200

mailcommon (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where messagelib is available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 13:22:04 +0200

mailcommon (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Sep 2024 15:26:28 +0200

libkf5mailcommon (4:22.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078481).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:43:05 +0200

libkf5mailcommon (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:34 +0100

libkf5mailcommon (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:26 +0100

libkf5mailcommon (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:32 +0100

libkf5mailcommon (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:13 +0100

libkf5mailcommon (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:46 +0100

libkf5mailcommon (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:09 +0200

libkf5mailcommon (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:31 +0200

libkf5mailcommon (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:11 +0200

libkf5mailcommon (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:58:57 +0200

libkf5mailcommon (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:03:55 +0200

libkf5mailcommon (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:40 +0200

libkf5mailcommon (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 20:02:59 +0200

libkf5mailcommon (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:21 +0200

libkf5mailcommon (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:34:32 +0100

libkf5mailcommon (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:26:39 +0900

libkf5mailcommon (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:37:18 +0900

libkf5mailcommon (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:41:09 +0900

libkf5mailcommon (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:15:30 +0900

libkf5mailcommon (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update Debian ABI Manager patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:06 +0900

libkf5mailcommon (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]


=== debian/control ===
Source: mailcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicontact-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.2~),
               libgpgme-dev (>= 1.20.0~),
               libgpgmepp-dev (>= 1.20.0~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6syntaxhighlighting-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libkmailtransport-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libmailimporter-dev (>= 4:24.08.2~),
               libphonon4qt6-dev (>= 4:4.11.1~),
               libpimcommon-dev (>= 4:24.08.2~),
               libqgpgmeqt6-dev (>= 1.20.0~),
               messagelib-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
Rules-Requires-Root: no

Package: libmailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM email utility library - data files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Depends: libakonadi-dev (>= 4:24.08.2~),
         libakonadimime-dev (>= 4:24.08.2~),
         libkdepim-dev (>= 4:24.08.2~),
         libkf6completion-dev (>= 6.3.0~),
         libkpim6mailcommon6 (= ${binary:Version}),
         libpimcommon-dev (>= 4:24.08.2~),
         messagelib-dev (>= 4:24.08.2~),
         ${misc:Depends},
Description: KDE PIM email utility library - development files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE PIM email utility library - plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkpim6mailcommon6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libmailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

## mailcommon 24.12.0

=== debian/changelog ===
mailcommon (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:19 +0100

mailcommon (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,39 @@
                dbus,
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadicontact-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
+               extra-cmake-modules (>= 6.6.0~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadicontact-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:24.08.2~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6itemmodels-dev (>= 6.3.0~),
-               libkf6itemviews-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6syntaxhighlighting-dev (>= 6.3.0~),
+               libkdepim-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6itemviews-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
-               libkidentitymanagement-dev (>= 24.08.2~),
-               libkmailtransport-dev (>= 24.08.2~),
-               libkmime-dev (>= 24.08.2~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
+               libkidentitymanagement-dev (>= 24.12.0~),
+               libkmailtransport-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:24.08.2~),
-               libphonon4qt6-dev (>= 4:4.11.1~),
-               libpimcommon-dev (>= 4:24.08.2~),
+               libmailimporter-dev (>= 4:24.12.0~),
+               libphonon4qt6-dev (>= 4:4.12.0~),
+               libpimcommon-dev (>= 4:24.12.0~),
+               libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:24.08.2~),
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               messagelib-dev (>= 4:24.12.0~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xsltproc,
                xvfb,
@@ -62,13 +63,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:24.08.2~),
-         libakonadimime-dev (>= 4:24.08.2~),
-         libkdepim-dev (>= 4:24.08.2~),
-         libkf6completion-dev (>= 6.3.0~),
+Depends: libakonadi-dev (>= 4:24.12.0~),
+         libakonadimime-dev (>= 4:24.12.0~),
+         libkdepim-dev (>= 4:24.12.0~),
+         libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:24.08.2~),
-         messagelib-dev (>= 4:24.08.2~),
+         libpimcommon-dev (>= 4:24.12.0~),
+         messagelib-dev (>= 4:24.12.0~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 24.12.2

=== debian/changelog ===
mailcommon (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                dbus,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -29,16 +29,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:24.12.0~),
+               libmailimporter-dev (>= 4:24.12.2~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:24.12.0~),
+               messagelib-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xsltproc,
@@ -63,13 +63,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadimime-dev (>= 4:24.12.0~),
-         libkdepim-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadimime-dev (>= 4:24.12.2~),
+         libkdepim-dev (>= 4:24.12.2~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:24.12.0~),
-         messagelib-dev (>= 4:24.12.0~),
+         libpimcommon-dev (>= 4:24.12.2~),
+         messagelib-dev (>= 4:24.12.2~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.
